Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034654
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2016-11-30 11:292017-03-15 20:18
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisione7244827b7fa
ProjectionnoneETAnoneTarget Version3.0PR17Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034654: some performance improvements in DBSM tasks

DescriptionSee: http://wiki.openbravo.com/wiki/Projects:DBSM_Performance_Improvements [^]
Steps To Reproduce-
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0029270 closedalostale prevent table recreation in update.database 
related to defect 0035284 closedalostale update.database unnecessarily standardizes DB PL code 
blocks defect 0033621 closedalostale Increase the size of the ad_alert.record_id from 100 to 2000 
blocks feature request 0028566 acknowledgedplatform ad_session.websession column is too small 
causes defect 0035492 closedalostale error checking pl consistency 
causes defect 0035493 closedalostale missing log info when check consistency fails 
causes defect 0035634 closedcaristu The generation of indexes in parallel fails under some circumstances 
causes defect 0036908 closedAugustoMauch It is not possible to change the size of columns if the column is used in a view 

-  Notes
(0093342)
hgbot (developer)
2017-01-11 11:28

Repository: erp/devel/pi
Changeset: 47c768943f70d1c674cb0a2701faf29edde3da84
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 11 11:27:40 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/47c768943f70d1c674cb0a2701faf29edde3da84 [^]

fixed issue 34654: DBMS performance improvements

  - prevent table recreation for some missing cases
  - allow paralellization for index creation
  - allow paralellization for function standardization

---
M src-db/database/build.xml
M src-db/database/lib/dbsourcemanager.jar
---
(0093344)
hgbot (developer)
2017-01-11 11:34

Repository: erp/devel/dbsm-main
Changeset: e7244827b7faa34c8768643edda6b9384719e191
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 11 10:39:39 2017 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/e7244827b7faa34c8768643edda6b9384719e191 [^]

fixed issue 34654: DBMS performance improvements

  - prevent table recreation for some missing cases
  - allow paralellization for index creation
  - allow paralellization for function standardization

---
M src-test/model/recreation/DATA_TYPE2.xml
M src-test/model/recreation/DATA_TYPE3.xml
M src-test/model/recreation/DATA_TYPE_BASE.xml
M src-test/src/org/openbravo/dbsm/test/base/DbsmTest.java
M src-test/src/org/openbravo/dbsm/test/base/TestBatchEvaluator.java
M src-test/src/org/openbravo/dbsm/test/model/ModelSuite.java
M src-test/src/org/openbravo/dbsm/test/model/recreation/DataTypeChanges.java
M src-test/src/org/openbravo/dbsm/test/model/recreation/TableRecreationBaseTest.java
M src/org/apache/ddlutils/Platform.java
M src/org/apache/ddlutils/alteration/ColumnSizeChange.java
M src/org/apache/ddlutils/alteration/ModelComparator.java
M src/org/apache/ddlutils/platform/JdbcModelReader.java
M src/org/apache/ddlutils/platform/ModelLoader.java
M src/org/apache/ddlutils/platform/ModelLoaderBase.java
M src/org/apache/ddlutils/platform/PlatformImplBase.java
M src/org/apache/ddlutils/platform/SQLBatchEvaluator.java
M src/org/apache/ddlutils/platform/SqlBuilder.java
M src/org/apache/ddlutils/platform/StandardBatchEvaluator.java
M src/org/apache/ddlutils/platform/oracle/Oracle8Builder.java
M src/org/apache/ddlutils/platform/oracle/Oracle8Platform.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlBuilder.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlModelLoader.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlModelReader.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlPlatform.java
M src/org/openbravo/ddlutils/task/AlterDatabaseDataAll.java
M src/org/openbravo/ddlutils/task/AlterDatabaseJava.java
M src/org/openbravo/ddlutils/task/ExportDatabase.java
A src-test/model/recreation/DATA_TYPE4.xml
A src-test/model/recreation/DATA_TYPE5.xml
A src-test/model/recreation/DATA_TYPE6.xml
A src-test/model/recreation/DATA_TYPE7.xml
A src-test/model/recreation/DATA_TYPE8.xml
A src-test/model/recreation/DATA_TYPE_NUMBERS1.xml
A src-test/model/recreation/DATA_TYPE_NUMBERS2.xml
A src-test/model/recreation/DATA_TYPE_NUMBERS3.xml
A src-test/model/recreation/DATA_TYPE_NUMBERS_BASE.xml
A src-test/src/org/openbravo/dbsm/test/model/recreation/ColumnSizeChange.java
A src-test/src/org/openbravo/dbsm/test/model/recreation/ColumnTypeChange.java
A src-test/src/org/openbravo/dbsm/test/model/recreation/CombinedTypeChanges.java
A src-test/src/org/openbravo/dbsm/test/model/recreation/TypeChangeSuite.java
A src/org/apache/ddlutils/platform/ConcurrentSqlEvaluator.java
A src/org/apache/ddlutils/platform/postgresql/PostgrePLSQLConsistencyChecker.java
A src/org/apache/ddlutils/platform/postgresql/PostgrePLSQLFunctionConcurrentStandardization.java
A src/org/apache/ddlutils/platform/postgresql/PostgrePLSQLTriggerConcurrentStandardization.java
A src/org/apache/ddlutils/platform/postgresql/PostgrePLSQLViewConcurrentStandardization.java
R src-test/model/recreation/DATA_TYPE1.xml
---
(0093549)
caristu (developer)
2017-01-13 14:55

Reviewed and tested as part of the project: http://wiki.openbravo.com/wiki/Projects:DBSM_Performance_Improvements [^]
(0095086)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-30 11:29 alostale New Issue
2016-11-30 11:29 alostale Assigned To => platform
2016-11-30 11:29 alostale Modules => Core
2016-11-30 11:29 alostale Triggers an Emergency Pack => No
2016-11-30 11:30 alostale Status new => scheduled
2016-11-30 11:30 alostale Assigned To platform => alostale
2016-11-30 11:30 alostale Review Assigned To => caristu
2016-11-30 11:31 alostale Relationship added related to 0029270
2016-12-01 08:34 alostale Target Version => 3.0PR17Q2
2016-12-01 12:06 alostale Relationship added blocks 0033621
2017-01-11 11:28 hgbot Checkin
2017-01-11 11:28 hgbot Note Added: 0093342
2017-01-11 11:28 hgbot Status scheduled => resolved
2017-01-11 11:28 hgbot Resolution open => fixed
2017-01-11 11:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/47c768943f70d1c674cb0a2701faf29edde3da84 [^]
2017-01-11 11:34 hgbot Checkin
2017-01-11 11:34 hgbot Note Added: 0093344
2017-01-11 11:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/47c768943f70d1c674cb0a2701faf29edde3da84 [^] => http://code.openbravo.com/erp/devel/dbsm-main/rev/e7244827b7faa34c8768643edda6b9384719e191 [^]
2017-01-11 13:02 alostale Relationship added blocks 0028566
2017-01-13 14:55 caristu Note Added: 0093549
2017-01-13 14:55 caristu Status resolved => closed
2017-01-13 14:55 caristu Fixed in Version => 3.0PR17Q2
2017-02-16 14:28 alostale Tag Attached: Performance
2017-02-16 14:29 alostale Relationship added related to 0035284
2017-03-13 08:57 alostale Relationship added causes 0035492
2017-03-13 12:04 alostale Relationship added causes 0035493
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095086
2017-03-28 16:43 caristu Relationship added causes 0035634
2017-09-21 09:48 alostale Relationship added causes 0036908


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker